##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

QT += printsupport

TARGET = $$qtLibraryTarget(plugin-graphwidgetcommon)

HEADERS += \
        $${GUI_SRC}/plugins/Graphwidget-common/CubeDataItem.h \
        $${GUI_SRC}/plugins/Graphwidget-common/CubeRead.h \
        $${GUI_SRC}/plugins/Graphwidget-common/DataProvider.h \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotArea.h \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractRuler.h \
        $${GUI_SRC}/plugins/Graphwidget-common/HorizontalRuler.h \
        $${GUI_SRC}/plugins/Graphwidget-common/VerticalRuler.h \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotAreaController.h \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractRulerController.h \
        $${GUI_SRC}/plugins/Graphwidget-common/HorizontalRulerController.h \
        $${GUI_SRC}/plugins/Graphwidget-common/VerticalRulerController.h\
        $${GUI_SRC}/plugins/Graphwidget-common/ImageSaverController.h


SOURCES += \
        $${GUI_SRC}/plugins/Graphwidget-common/HorizontalRuler.cpp\
        $${GUI_SRC}/plugins/Graphwidget-common/HorizontalRulerController.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/CubeDataItem.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/CubeRead.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/DataProvider.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotArea.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractRuler.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/VerticalRuler.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotAreaController.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractRulerController.cpp \
        $${GUI_SRC}/plugins/Graphwidget-common/VerticalRulerController.cpp\
        $${GUI_SRC}/plugins/Graphwidget-common/ImageSaverController.cpp
