##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(heatmap)

LIBS += -L$${GUI_LIBDIR}/cube-plugins -lplugin-graphwidgetcommon

INCLUDEPATH += $${GUI_SRC}/plugins/Graphwidget-common
DEPENDPATH  += $${GUI_SRC}/plugins/Graphwidget-common

HEADERS += \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotArea.h  \
        $${GUI_SRC}/plugins/Graphwidget-common/AbstractPlotAreaController.h  \
        $${GUI_SRC}/plugins/Heatmap/Heatmap.h \
        $${GUI_SRC}/plugins/Heatmap/HeatmapController.h  \
        $${GUI_SRC}/plugins/Heatmap/HeatmapPlotArea.h  \
        $${GUI_SRC}/plugins/Heatmap/HeatmapSettingsWidget.h

SOURCES += \
        $${GUI_SRC}/plugins/Heatmap/Heatmap.cpp \
        $${GUI_SRC}/plugins/Heatmap/HeatmapController.cpp \
        $${GUI_SRC}/plugins/Heatmap/HeatmapPlotArea.cpp\
        $${GUI_SRC}/plugins/Heatmap/HeatmapSettingsWidget.cpp
