##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(systemtopology)
PROJECT_PATH = $${GUI_SRC}/plugins/SystemTopology

INCLUDEPATH += $${PROJECT_PATH}

HEADERS += \
        $${PROJECT_PATH}/DimensionSelectionWidget.h \
        $${PROJECT_PATH}/OrderWidget.h \
        $${PROJECT_PATH}/Plane.h \
        $${PROJECT_PATH}/Point.h \
        $${PROJECT_PATH}/SystemTopology.h \
        $${PROJECT_PATH}/SystemTopologyData.h \
        $${PROJECT_PATH}/SystemTopologyDrawing.h \
        $${PROJECT_PATH}/SystemTopologyToolBar.h \
        $${PROJECT_PATH}/SystemTopologyView.h \
        $${PROJECT_PATH}/SystemTopologyViewTransform.h \
        $${PROJECT_PATH}/SystemTopologyWidget.h \
        $${PROJECT_PATH}/Tetragon.h \
        $${PROJECT_PATH}/TopologyDimensionBar.h

SOURCES += \
        $${PROJECT_PATH}/DimensionSelectionWidget.cpp \
        $${PROJECT_PATH}/OrderWidget.cpp \
        $${PROJECT_PATH}/Plane.cpp \
        $${PROJECT_PATH}/Point.cpp \
        $${PROJECT_PATH}/SystemTopology.cpp \
        $${PROJECT_PATH}/SystemTopologyData.cpp \
        $${PROJECT_PATH}/SystemTopologyDrawing.cpp \
        $${PROJECT_PATH}/SystemTopologyToolBar.cpp \
        $${PROJECT_PATH}/SystemTopologyViewTransform.cpp \
        $${PROJECT_PATH}/SystemTopologyWidget.cpp \
        $${PROJECT_PATH}/Tetragon.cpp \
        $${PROJECT_PATH}/TopologyDimensionBar.cpp
