##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


win32 {

# header and libraries from cubelib
CUBELIB_ROOT = $$(CUBELIB_ROOT)
INCLUDEPATH += $${CUBELIB_ROOT}/include
LIBS        += -L$${CUBELIB_ROOT}/lib -lcube

# system header and libraries
# INCLUDEPATH += $$(MINGW)/opt/include
INCLUDEPATH += "C:/Program Files (x86)/GnuWin32/include"
LIBS        += -L"C:/Program Files (x86)/GnuWin32/lib" -lz

DEFINES += __MINGW32__
DEFINES += NOCROSS_BUILD
DEFINES += BACKEND_BUILD_NOMPI
DEFINES += FRONTEND_CUBE_COMPRESSED_READONLY=yes

QMAKE_CFLAGS += -std=c99

}
